
import java.io.Serializable;
import java.util.ArrayList;

/**
 *
 * @author  W�a�ciciel
 */
public class Jpeg2000Object implements Serializable{

public int bankNo;
public int noOfBP;
public int BPno;
public boolean DC=false;
public ArrayList ll;
public ArrayList lh;
public ArrayList hl;
public ArrayList hh;

    public void setll(){
            ll=new ArrayList();
    }
    public void addll(boolean [][] bpData){
            ll.add(bpData);
    }
    public void setlh(){
            lh=new ArrayList();
    }
    public void addlh(boolean [][] bpData){
            lh.add(bpData);
    }
    public void sethl(){
            hl=new ArrayList();
    }
    public void addhl(boolean [][] bpData){
            hl.add(bpData);
    }
    public void sethh(){
            hh=new ArrayList();
    }
    public void addhh(boolean [][] bpData){
            hh.add(bpData);
    }
    public void setDC(){
            DC=true;
    }

    public void setBankNo(int n){
            bankNo=n;
    }

    public void setNoOfBP(int n){
            noOfBP=n;
    }
    public void setBPno(int n){
            BPno=n;
    }


}//end of class Jpeg2000Object

